package com.develou.p3_configuracion.util

import android.app.Notification
import android.app.NotificationChannel
import android.app.NotificationManager
import android.content.Context
import android.graphics.Color
import android.os.Build
import androidx.core.app.NotificationCompat
import com.develou.p3_configuracion.R

object NotificationUtil {
    lateinit var CHANNEL_ID: String

    fun createChannel(
        context: Context,
        importance: Int,
        name: String,
        description: String
    ) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            CHANNEL_ID = context.resources.getString(R.string.basic_channel_id)
            val channel = NotificationChannel(CHANNEL_ID, name, importance).apply {
                enableLights(true)
                enableVibration(true)
                this.description = description
                lightColor = Color.BLUE
                vibrationPattern = longArrayOf(0, 500, 500, 500, 500)
            }

            val nm: NotificationManager =
                context.getSystemService(Context.NOTIFICATION_SERVICE) as NotificationManager
            nm.createNotificationChannel(channel)
        }
    }

    fun createPublicNotification(context: Context): Notification {

        return NotificationCompat.Builder(context, CHANNEL_ID)
            .setSmallIcon(R.drawable.ic_circle_notifications)
            .setContentTitle("Nuevo tutorial publicado")
            .setSubText("Develou.com")
            .setVisibility(NotificationCompat.VISIBILITY_PRIVATE)
            .build()
    }
}