package com.develou.p5_badges

import android.os.Build
import android.os.Bundle
import android.widget.Button
import androidx.appcompat.app.AppCompatActivity
import androidx.core.app.NotificationManagerCompat
import com.develou.notificaciones_en_android.R

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        findViewById<Button>(R.id.notification_button).setOnClickListener {
            generateNotifications()
        }

        createNotificationChannels()
    }

    private fun createNotificationChannels() {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            NotificationUtil.createChannel(
                this,
                NotificationManagerCompat.IMPORTANCE_DEFAULT,
                "Tutoriales",
                "Produce notificaciones cuando se publica un nuevo tutorial",
                true
            )
            NotificationUtil.createChannel(
                this,
                NotificationManagerCompat.IMPORTANCE_DEFAULT,
                "Recordatorios",
                "Recordatorios sobre tareas agendadas",
                false
            )
        }
    }

    private fun generateNotifications() {
        NotificationUtil.createTutorialNotification(this)
        // NotificationUtil.createNotificationWithBadgeNumber(this)
        NotificationUtil.createReminderNotification(this)
    }
}